var _excluded = ["visible", "value", "config", "getLocation", "getAddress"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useRef, forwardRef, useImperativeHandle } from 'react';
import Main from "./../Main";

// 内库使用-start
import LocaleUtil from "./../../../utils/LocaleUtil";
import SelectModal from "./../../Modal/SelectModal";
// 内库使用-end

/* 测试使用-start
import { LocaleUtil, Modal, SafeArea } from 'seedsui-react'
const SelectModal = Modal.SelectModal
测试使用-end */

// Modal
var LocationModal = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var visible = _ref.visible,
    value = _ref.value,
    config = _ref.config,
    getLocation = _ref.getLocation,
    getAddress = _ref.getAddress,
    props = _objectWithoutProperties(_ref, _excluded);
  var modalRef = useRef(null);
  useImperativeHandle(ref, function () {
    return modalRef.current;
  });

  // 扩展非标准属性
  if (!props.mainProps) {
    props.mainProps = {};
  }
  if (config) props.mainProps.config = config;
  if (getLocation) props.mainProps.getLocation = getLocation;
  if (getAddress) props.mainProps.getAddress = getAddress;
  return /*#__PURE__*/React.createElement(SelectModal, _extends({
    ref: modalRef,
    title: visible === 'choose' ? LocaleUtil.locale('选择地址', 'SeedsUI_choose_address') : LocaleUtil.locale('查看地址', 'SeedsUI_view_address')
  }, props, {
    main: (props === null || props === void 0 ? void 0 : props.main) || Main,
    ok: visible === 'choose' ? '' : null,
    visible: visible,
    value: value,
    className: "map-modal".concat(props.className ? ' ' + props.className : '')
  }));
});
export default LocationModal;